Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 608730

Summary: media-libs/gd-2.2.4[abi_x86_32] fails test gdimagegrayscale/basic
Product: Gentoo Linux Reporter: eroen <gentoo>
Component: Current packagesAssignee: Codec Project <codec>
Status: RESOLVED FIXED    
Severity: normal CC: eike, emeric.maschino, leio, sam
Priority: Normal Keywords: PullRequest, TESTFAILURE
Version: unspecified   
Hardware: All   
OS: Linux   
See Also: https://github.com/gentoo/gentoo/pull/15657
https://bugs.gentoo.org/show_bug.cgi?id=632076
https://bugs.gentoo.org/show_bug.cgi?id=722448
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 646904    
Attachments: build.log
test-suite.log
test-suite.log (2.2.5-r2, ppc)
test-suite.log (2.2.5-r2, ia64)

Description eroen 2017-02-09 11:02:09 UTC
Created attachment 462970 [details]
build.log

As reported in bug 603360, gdimagecopyresampled/bug00201 also fails. Both these tests pass for native ABI.

FAIL: gdimagecopyresampled/bug00201
...
FAIL: gdimagegrayscale/basic
...
============================================================================
Testsuite summary for GD 2.2.4
============================================================================
# TOTAL: 135
# PASS:  133
# SKIP:  0
# XFAIL: 0
# FAIL:  2
# XPASS: 0
# ERROR: 0
============================================================================
See tests/test-suite.log
Please report to https://github.com/libgd/libgd/issues
============================================================================
make[3]: *** [Makefile:3857: test-suite.log] Error 1
make[3]: Leaving directory '/var/tmp/portage/media-libs/gd-2.2.4/work/libgd-2.2.4-abi_x86_32.x86/tests'
make[2]: *** [Makefile:3965: check-TESTS] Error 2
make[2]: Leaving directory '/var/tmp/portage/media-libs/gd-2.2.4/work/libgd-2.2.4-abi_x86_32.x86/tests'
make[1]: *** [Makefile:5121: check-am] Error 2
make[1]: Leaving directory '/var/tmp/portage/media-libs/gd-2.2.4/work/libgd-2.2.4-abi_x86_32.x86/tests'
make: *** [Makefile:419: check-recursive] Error 1
 * ERROR: media-libs/gd-2.2.4::gentoo failed (test phase):
 *   Make check failed. See above for details.
 * 
 * Call stack:
 *            ebuild.sh, line  115:  Called src_test
 *          environment, line 1787:  Called multilib-minimal_src_test
 *          environment, line 1323:  Called multilib_foreach_abi 'multilib-minimal_abi_src_test'
 *          environment, line 1495:  Called multibuild_foreach_variant '_multilib_multibuild_wrapper' 'multilib-minimal_abi_src_test'
 *          environment, line 1188:  Called _multibuild_run '_multilib_multibuild_wrapper' 'multilib-minimal_abi_src_test'
 *          environment, line 1186:  Called _multilib_multibuild_wrapper 'multilib-minimal_abi_src_test'
 *          environment, line  311:  Called multilib-minimal_abi_src_test
 *          environment, line 1319:  Called default_src_test
 *   phase-functions.sh, line  836:  Called __eapi0_src_test
 *     phase-helpers.sh, line  763:  Called die
 * The specific snippet of code:
 *   		$emake_cmd ${internal_opts} check || \
 *   			die "Make check failed. See above for details."
Comment 1 eroen 2017-02-09 11:02:41 UTC
Created attachment 462972 [details]
test-suite.log

FAIL: gdimagecopyresampled/bug00201
===================================

/var/tmp/portage/media-libs/gd-2.2.4/work/libgd-2.2.4/tests/gdimagecopyresampled/bug00201.c:68: Total pixels changed: 5171 with a maximum channel difference of 255.
FAIL gdimagecopyresampled/bug00201 (exit status: 1)

FAIL: gdimagegrayscale/basic
============================

/var/tmp/portage/media-libs/gd-2.2.4/work/libgd-2.2.4/tests/gdimagegrayscale/basic.c:23: Total pixels changed: 21600 with a maximum channel difference of 131.
FAIL gdimagegrayscale/basic (exit status: 1)
Comment 2 eroen 2017-02-09 11:03:15 UTC
localhost ~ # emerge --info '=media-libs/gd-2.2.4::gentoo'
Portage 2.3.3 (python 3.4.5-final-0, default/linux/amd64/13.0, gcc-4.9.4, glibc-2.23-r3, 4.4.6-gentoo x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-4.4.6-gentoo-x86_64-Intel-R-_Core-TM-_i5-2520M_CPU_@_2.50GHz-with-gentoo-2.3
KiB Mem:     4043380 total,   3696548 free
KiB Swap:          0 total,         0 free
Timestamp of repository gentoo: Thu, 09 Feb 2017 00:45:01 +0000
sh bash 4.3_p48-r1
ld GNU ld (Gentoo 2.25.1 p1.1) 2.25.1
app-shells/bash:          4.3_p48-r1::gentoo
dev-lang/perl:            5.22.3_rc4::gentoo
dev-lang/python:          2.7.12::gentoo, 3.4.5::gentoo
dev-util/pkgconfig:       0.28-r2::gentoo
sys-apps/baselayout:      2.3::gentoo
sys-apps/openrc:          0.22.4::gentoo
sys-apps/sandbox:         2.10-r1::gentoo
sys-devel/autoconf:       2.69::gentoo
sys-devel/automake:       1.14.1::gentoo, 1.15::gentoo
sys-devel/binutils:       2.25.1-r1::gentoo
sys-devel/gcc:            4.9.4::gentoo
sys-devel/gcc-config:     1.7.3::gentoo
sys-devel/libtool:        2.4.6-r2::gentoo
sys-devel/make:           4.2.1::gentoo
sys-kernel/linux-headers: 4.4::gentoo (virtual/os-headers)
sys-libs/glibc:           2.23-r3::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: rsync
    sync-uri: rsync://rsync.gentoo.org/gentoo-portage
    priority: -1000

ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/gconf /etc/gentoo-release /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS=""
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="acl amd64 berkdb bindist bzip2 cli cracklib crypt cxx dri fortran gdbm iconv ipv6 modules multilib ncurses nls nptl openmp pam pcre readline seccomp session ssl tcpd unicode xattr zlib" ABI_X86="32 64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="libinput keyboard mouse" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-6" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_4" RUBY_TARGETS="ruby21" USERLAND="GNU" VIDEO_CARDS="amdgpu fbdev intel nouveau radeon radeonsi vesa dummy v4l" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON

localhost ~ # emerge -pqv '=media-libs/gd-2.2.4::gentoo'
[ebuild  N    ] media-libs/gd-2.2.4  USE="png zlib -fontconfig -jpeg -static-libs -tiff -truetype -webp -xpm" ABI_X86="32 (64) (-x32)" 

 * IMPORTANT: 12 news items need reading for repository 'gentoo'.
 * Use eselect news read to view new items.
Comment 3 Matt Turner gentoo-dev 2018-04-22 19:22:03 UTC
Fails here as well (noticed while stabilizing on hppa)
Comment 4 Mart Raudsepp gentoo-dev 2018-05-29 11:05:23 UTC
ping
Comment 5 Mart Raudsepp gentoo-dev 2018-11-24 14:42:14 UTC
ping..
Comment 6 Larry the Git Cow gentoo-dev 2019-03-09 18:18:41 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e4b9c7bfe522a0bfa760db822effe83046024d3e

commit e4b9c7bfe522a0bfa760db822effe83046024d3e
Author:     Thomas Deutschmann <whissi@gentoo.org>
AuthorDate: 2019-03-09 18:18:13 +0000
Commit:     Thomas Deutschmann <whissi@gentoo.org>
CommitDate: 2019-03-09 18:18:13 +0000

    media-libs/gd: fix build for systems without SSE support
    
    Bug: https://github.com/libgd/libgd/issues/242
    Closes: https://bugs.gentoo.org/603360
    Closes: https://bugs.gentoo.org/587992
    Closes: https://bugs.gentoo.org/632076
    Closes: https://bugs.gentoo.org/608730
    Package-Manager: Portage-2.3.62, Repoman-2.3.12
    Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>

 media-libs/gd/gd-2.2.5-r2.ebuild | 11 +++++++++--
 1 file changed, 9 insertions(+), 2 deletions(-)
Comment 7 Mart Raudsepp gentoo-dev 2019-03-09 20:03:54 UTC
Still fails.
Comment 8 Rolf Eike Beer archtester 2019-03-31 10:38:28 UTC
Fails also with 2.2.5-r2 on sparc.
Comment 9 ernsteiswuerfel archtester 2019-05-04 18:49:39 UTC
Created attachment 575164 [details]
test-suite.log (2.2.5-r2, ppc)

Same on ppc (2.2.5-r2):

FAIL: gdimagecopyresampled/bug00201
FAIL: gdimagegrayscale/basic
Comment 10 Émeric Maschino 2019-11-02 14:17:06 UTC
Created attachment 594844 [details]
test-suite.log (2.2.5-r2, ia64)
Comment 11 Émeric Maschino 2019-11-02 14:17:52 UTC
Fails also with 2.2.5-r2 on ia64.
Comment 12 Larry the Git Cow gentoo-dev 2020-05-10 22:41:09 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=69c5150b44714482be91bee9004afffef4200a91

commit 69c5150b44714482be91bee9004afffef4200a91
Author:     Sam James (sam_c) <sam@cmpct.info>
AuthorDate: 2020-05-05 18:11:14 +0000
Commit:     Thomas Deutschmann <whissi@gentoo.org>
CommitDate: 2020-05-10 22:35:49 +0000

    media-libs/gd: Security bump to 2.3.0
    
    Bug: https://bugs.gentoo.org/719464
    Bug: https://bugs.gentoo.org/632076
    Bug: https://bugs.gentoo.org/608730
    Package-Manager: Portage-2.3.99, Repoman-2.3.22
    Signed-off-by: Sam James (sam_c) <sam@cmpct.info>
    Closes: https://github.com/gentoo/gentoo/pull/15657
    Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>

 media-libs/gd/Manifest                             |  1 +
 .../gd/files/gd-2.3.0-disable-flaky-tests.patch    | 25 +++++++
 media-libs/gd/files/gd-2.3.0-getlib.patch          | 81 ++++++++++++++++++++++
 media-libs/gd/gd-2.3.0.ebuild                      | 80 +++++++++++++++++++++
 4 files changed, 187 insertions(+)
Comment 13 ernsteiswuerfel archtester 2020-05-11 11:35:03 UTC
gdimagecopyresampled/..., gdimagegrayscale/... tests pass for me with gd-2.3.0 on on ppc.

Filed a new bug (#722448) for tests failing with 2.3.0:
FAIL: gdimagestring16/gdimagestring16
FAIL: gdimagestringup16/gdimagestringup16